POST api/poolapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
PoolViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| description | string |
Required String length: inclusive between 0 and 250 |
|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
Required |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"description": "sample string 2",
"id": "3170c675-f130-422c-b290-edd0586d2c9e",
"site_id": "76e6be87-8ca6-4e8b-8060-96c8ce0c25e3"
}
application/xml, text/xml
Sample:
<pool xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <description>sample string 2</description> <id>3170c675-f130-422c-b290-edd0586d2c9e</id> <site_id>76e6be87-8ca6-4e8b-8060-96c8ce0c25e3</site_id> </pool>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"7b54614f-4803-4482-a773-123f8f3a04c9"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">7b54614f-4803-4482-a773-123f8f3a04c9</guid>